<?php
require_once('../../../includes/load.php');
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	$anio = remove_junk($db->escape($_POST['anio']));
    $area = remove_junk($db->escape($_POST['area']));
    $destino = remove_junk($db->escape($_POST['destino']));
    $ult_venta = remove_junk($db->escape($_POST['ult_venta']));
    $ter_recepcion = remove_junk($db->escape($_POST['ter_recepcion']));
    $ter_limpieza = remove_junk($db->escape($_POST['ter_limpieza']));
    $red_dragon = remove_junk($db->escape($_POST['red_dragon']));
    $campana = remove_junk($db->escape($_POST['campana']));
    $servicio = remove_junk($db->escape($_POST['servicio']));
    $ini_limpieza = remove_junk($db->escape($_POST['ini_limpieza']));
    $ini_compost = remove_junk($db->escape($_POST['ini_compost']));
    $ini_tumbado = remove_junk($db->escape($_POST['ini_tumbado']));
    $ent_granja = remove_junk($db->escape($_POST['ent_granja']));
    $granja = remove_junk($db->escape($_POST['granja']));
    $responsable = remove_junk($db->escape($_POST['responsable']));
    $ini_recepcion = remove_junk($db->escape($_POST['ini_recepcion']));
    $ter_compost = remove_junk($db->escape($_POST['ter_compost']));
    $ter_tumbado = remove_junk($db->escape($_POST['ter_tumbado']));
    $pollo = remove_junk($db->escape($_POST['pollo']));
    $galpones = remove_junk($db->escape($_POST['galpones']));
    $registro=date("Y-m-d");
    $fechaEntera = strtotime($ini_limpieza);
    $anio = date("Y", $fechaEntera);
    $mes = date("m", $fechaEntera);
    $semana = date("W", $fechaEntera);
    
    //Condiciones para las fechas
    
    if ($ult_venta== '') {
        $ult_venta='0000-00-00';
    }else{
            $ult_venta = remove_junk($db->escape($_POST['ult_venta']));
    }
    if ($ini_limpieza== '') {
        $ini_limpieza='0000-00-00';
    }else{
            $ini_limpieza = remove_junk($db->escape($_POST['ini_limpieza']));
    }
    if ($ini_compost== '') {
        $ini_compost='0000-00-00';
    }else{
            $ini_compost = remove_junk($db->escape($_POST['ini_compost']));
    }
    if ($ini_tumbado== '') {
        $ini_tumbado='0000-00-00';
    }else{
            $ini_tumbado = remove_junk($db->escape($_POST['ini_tumbado']));
    }
    if ($ent_granja== '') {
        $ent_granja='0000-00-00';
    }else{
            $ent_granja = remove_junk($db->escape($_POST['ent_granja']));
    }
    if ($ter_recepcion== '') {
        $ter_recepcion='0000-00-00';
    }else{
            $ter_recepcion = remove_junk($db->escape($_POST['ter_recepcion']));
    }
    if ($ter_limpieza== '') {
        $ter_limpieza='0000-00-00';
    }else{
            $ter_limpieza = remove_junk($db->escape($_POST['ter_limpieza']));
    }
    if ($red_dragon== '') {
        $red_dragon='0000-00-00';
    }else{
            $red_dragon = remove_junk($db->escape($_POST['red_dragon']));
    }
    if ($ini_recepcion== '') {
        $ini_recepcion='0000-00-00';
    }else{
            $ini_recepcion = remove_junk($db->escape($_POST['ini_recepcion']));
    }
    if ($ter_compost== '') {
        $ter_compost='0000-00-00';
    }else{
            $ter_compost = remove_junk($db->escape($_POST['ter_compost']));
    }
    if ($ter_tumbado== '') {
        $ter_tumbado='0000-00-00';
    }else{
            $ter_tumbado = remove_junk($db->escape($_POST['ter_tumbado']));
    }
    if ($pollo== '') {
        $pollo='0000-00-00';
    }else{
            $pollo = remove_junk($db->escape($_POST['pollo']));
    }
    

    //condicional para calcular el tiempo por fechas segun llenado 
    //
    if ($ini_limpieza != '0000-00-00' && $ult_venta != '0000-00-00')
    {
        $fecha1 = new DateTime($ini_limpieza);
        $fecha2 = new DateTime($ult_venta);
        $diff = $fecha1->diff($fecha2);
        $TProPreparacionLimpieza= $diff->days;
    }else{
       $TProPreparacionLimpieza= 0; 
    }

    if ($ter_compost != '0000-00-00' && $ini_limpieza != '0000-00-00')
    {
        $TProCompost = 0; 
        for($i=$ini_limpieza; $i<$ter_compost; $i = date("Y-m-d", strtotime($i ."+ 1 days"))) {
           if (date("w",strtotime($i)) != '6') { $TProCompost++;}
        }
        $TProCompost= $TProCompost+1;
    }else{
        $TProCompost= 0;
    }

    if ($ter_limpieza != '0000-00-00' && $ini_limpieza != '0000-00-00')
    {
        $TProLimpiezaInicial = 0; 
        for($i=$ini_limpieza; $i<$ter_limpieza; $i = date("Y-m-d", strtotime($i ."+ 1 days"))) {
           if (date("w",strtotime($i)) != '6') { $TProLimpiezaInicial++;}
        }
        $TProLimpiezaInicial= $TProLimpiezaInicial+1;
    }else{
        $TProLimpiezaInicial= 0;
    }

    if ($ini_tumbado != '0000-00-00' && $ter_limpieza != '0000-00-00')
    {
        $TProDescanso = 0; 
        for($i=$ter_limpieza; $i<$ini_tumbado; $i = date("Y-m-d", strtotime($i ."+ 1 days"))) {
           if (date("w",strtotime($i)) != '6') { $TProDescanso++;}
        }
        $TProDescanso= $TProDescanso+1;
    }else{
        $TProDescanso= 0;
    }

    if ($pollo != '0000-00-00' && $ini_tumbado != '0000-00-00')
    {
        $TProVacioSanitario = 0; 
        for($i=$ini_tumbado; $i<$pollo; $i = date("Y-m-d", strtotime($i ."+ 1 days"))) {
           if (date("w",strtotime($i)) != '6') { $TProVacioSanitario++;}
        }
        $TProVacioSanitario= $TProVacioSanitario;

    }else{
        $TProVacioSanitario= 0;
    }
    if ($ent_granja != '0000-00-00' && $ini_limpieza != '0000-00-00')
    {
        $TProLimpieza = 0; 
        for($i=$ini_limpieza; $i<$ent_granja; $i = date("Y-m-d", strtotime($i ."+ 1 days"))) {
           if (date("w",strtotime($i)) != '6') { $TProLimpieza++;}
        }
        $TProLimpieza= $TProLimpieza+1;


    }else{
        $TProLimpieza= 0;
    }
    if ($pollo != '0000-00-00' && $ult_venta != '0000-00-00')
    {
        $TProDescansoProduccion = 0; 
        for($i=$ult_venta; $i<$pollo; $i = date("Y-m-d", strtotime($i ."+ 1 days"))) {
           if (date("w",strtotime($i)) != '6') { $TProDescansoProduccion++;}
        }
        $TProDescansoProduccion= $TProDescansoProduccion;
    }else{
        $TProDescansoProduccion= 0;
    }
    //Adicional

    if ($ini_limpieza != '0000-00-00' && $ini_compost != '0000-00-00')
    {
        $TProInicioCompost = 0; 
        for($i=$ini_limpieza; $i<$ini_compost; $i = date("Y-m-d", strtotime($i ."+ 1 days"))) {
           if (date("w",strtotime($i)) != '6') { $TProInicioCompost++;}
        }
        $TProInicioCompost= $TProInicioCompost+1;
    }else{
        $TProInicioCompost= 0;
    }

    if ($ini_limpieza != '0000-00-00' && $ini_tumbado != '0000-00-00')
    {
        $TProInicioTumbado = 0; 
        for($i=$ini_limpieza; $i<$ini_tumbado; $i = date("Y-m-d", strtotime($i ."+ 1 days"))) {
           if (date("w",strtotime($i)) != '6') { $TProInicioTumbado++;}
        }
        $TProInicioTumbado= $TProInicioTumbado +1;
    }else{
        $TProInicioTumbado= 0;
    }
    if ($ini_tumbado != '0000-00-00' && $ter_tumbado != '0000-00-00')
    {
        $TProTerminoTumbado = 0; 
        for($i=$ini_tumbado; $i<$ter_tumbado; $i = date("Y-m-d", strtotime($i ."+ 1 days"))) {
           if (date("w",strtotime($i)) != '6') { $TProTerminoTumbado++;}
        }
        $TProTerminoTumbado= $TProTerminoTumbado +1;
    }else{
        $TProTerminoTumbado= 0; 
    }


    



 
    $query ="INSERT INTO programa(ProAnio, ProFechaUltimaVenta, ProFechaInicioLimpieza, ProFechaInicioRecepcion, ProFechaTerminoRecepcion, ProFechaInicioCompost, ProFechaTerminoCompost, ProFechaTerminoLimpiezaInicial, ProFechaInicioTumbadoCompost, ProFechaTerminoTumbadoCompost, ProFechaRedDragon, ProFechaEntregaGranja, ProFechaIngresoPollosBB, Campana, IdGranja, TipoGranja, IdTipoServicio, Responsable,TProPreparacionLimpieza,TProCompost,TProLimpiezaInicial,TProDescanso,TProVacioSanitario,TProLimpieza,TProDescansoProduccion,TProInicioCompost,TProInicioTumbado,TProTerminoTumbado,ProFechaRegistro,EstadoPrograma,IdAnio,Mes,SemanaRptPrograma,Galpon,IdAreaGerenciaOperaciones) VALUES ('$anio','$ult_venta','$ini_limpieza','$ini_recepcion','$ter_recepcion','$ini_compost','$ter_compost','$ter_limpieza','$ini_tumbado','$ter_tumbado','$red_dragon','$ent_granja','$pollo','$campana','$granja','$destino','$servicio','$responsable','$TProPreparacionLimpieza','$TProCompost','$TProLimpiezaInicial','$TProDescanso','$TProVacioSanitario','$TProLimpieza','$TProDescansoProduccion','$TProInicioCompost','$TProInicioTumbado','$TProTerminoTumbado','$registro','Programado','$anio','$mes','$semana','$galpones','$area')";

    if ($db->query($query)) {
        echo 'success';
    } else {
        echo 'fail';
    }
} 


